/* MPQSettings.java: Preferences handling for the MPQ app.
 *            Copyright (C) 2012 donfede@casagrau.org
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * created 2012-10-18 donfede@casagrau.org
 * credit to: Android SDK 10 / SipDemo app
 *
 * $Id: MPQSettings.java,v 1.2 2012-10-23 18:24:37 donfede Exp $
 */

package org.casagrau.mpq.mpq_android;

import android.os.Bundle;
import android.preference.PreferenceActivity;

/**
 * Handles MPQ general settings for the app. Pretty much only reads and process
 * the XML description of preferences.
 */
public class MPQSettings extends PreferenceActivity {

	@SuppressWarnings("deprecation")
	@Override
	public void onCreate(Bundle savedInstanceState) {
		// Note that none of the preferences are actually defined here.
		// They're all in the XML file res/xml/preferences.xml.
		super.onCreate(savedInstanceState);
		addPreferencesFromResource(R.xml.preferences);
	}
}
